/*================================================================================================*/

hr
{
	font-style:       normal;
	font-weight:      400;
	font-size:        1em;
	font-family:      inherit;
	color:            inherit;
	line-height:      1.2;
	vertical-align:   middle;
	border:           1px inset #abadb3;
	outline:          0;
	padding:          0;
	margin:           0.5em 0;
	background-color: rgba(0, 0, 0, 0);
	
	-webkit-box-sizing: content-box;
	-moz-box-sizing:    content-box;
  	box-sizing:         content-box;
  	height:             0; 
}

/*================================================================================================*/

label
{
	font-style:     normal;
	font-weight:    400;
	font-size:      1em;
	font-family:    inherit;
	color:          inherit;
	line-height:    1.2;
	vertical-align: middle;
	display:        inline-block;
	border:         0;
	outline:        0;
	padding:        0;
	margin:         2px 0;
}

label.fieldset-after
{
	margin-top: 13px;
}

/*================================================================================================*/

input[type="text"],
input[type="num"],
input[type="password"],
input[type="email"]
{
	font-style:     normal;
	font-weight:    400;
	font-size:      1em;
	font-family:    inherit;
	color:          inherit;
	line-height:    1.2;
	vertical-align: middle;
	border-radius:  4px;
	outline:        0;
	margin:         2px 0;
	max-width:      100% !important;
	border:         1px solid #abadb3;
	padding:        0.3em;
	height:         27px;
	background:     #ffffff;
}

/*================================================================================================*/

input[type="radio"],
input[type="checkbox"]
{
	font-style:     normal;
	font-weight:    400;
	font-size:      1em;
	font-family:    inherit;
	color:          inherit;
	line-height:    1.2;
	vertical-align: middle;
	border:         0;
	outline:        0;
	padding:        0;
	margin:         2px;
	cursor:         pointer;
	box-sizing:     border-box;
    *height:        13px;
    *width:         13px
}

/*================================================================================================*/

textarea
{
	font-style:     normal;
	font-weight:    400;
	font-size:      1em;
	font-family:    inherit;
	color:          inherit;
	line-height:    1.2;
	border-radius:  4px;
	outline:        0;
	margin:         2px 0;
	max-width:      100% !important;
	vertical-align: top;
	overflow:       auto; 
	min-height:     5.6em;
	resize:         none;
	border:         1px solid #abadb3;
	padding:        0.3em;
}

/*================================================================================================*/

input[type="text"]:focus,
input[type="num"]:focus,
input[type="password"]:focus,
input[type="email"]:focus,
textarea:focus
{
	border-color: #5699e6;
}

/*================================================================================================*/

input[type="text"]:disabled,
input[type="num"]:disabled,
input[type="password"]:disabled,
input[type="email"]:disabled,
textarea:disabled
{
	color:       #abadb3;
	background:  #ffffff;
	opacity:     1.0; 
	font-weight: 400;
	filter:      alpha(opacity=100);
}

/*================================================================================================*/

::-webkit-input-placeholder,
::-moz-placeholder,
:-moz-placeholder,
:-ms-input-placeholder
{
	color:       #abadb3;
	background:  transparent;
	opacity:     1.0; 
	font-weight: 400;
	filter:      alpha(opacity=100);
}

/*================================================================================================*/

fieldset
{
	font-style:     normal;
	font-weight:    400;
	font-size:      1em;
	font-family:    inherit;
	color:          inherit;
	line-height:    1.2;
	vertical-align: middle;
	border-radius:  4px;
	display:        inline-block;
	border:         1px solid #abadb3;
	margin:         2px 0;
	padding:        0.35em 0.625em 0.75em;
	outline:        0;
}

legend
{
	font-style:     normal;
	font-weight:    400;
	font-size:      1em;
	font-family:    inherit;
	color:          inherit;
	line-height:    1.2;
	vertical-align: middle;
	border:         0;
	outline:        0;
	margin:         0;
	padding:        2px;
	white-space:    normal;
    *margin-left:  -7px;
}

/*================================================================================================*/

input[type="button"],
input[type="reset"],
input[type="submit"]
{
	-webkit-appearance: button;
}

input[type='button']::-moz-focus-inner,
input[type='reset']::-moz-focus-inner,
input[type='submit']::-moz-focus-inner 
{
	border:  0;
	padding: 0;
}

input::-moz-focus-inner 
{
    border:  0;
    padding: 0;
}

/*================================================================================================*/

input[type="radio"] + label,
input[type="checkbox"] + label
{
	cursor:      pointer;
	margin-left: 2px;
}

input[type="radio"]:disabled + label,
input[type="checkbox"]:disabled + label
{
	color:  #abadb3;
	cursor: default;
}

/*================================================================================================*/

ul.radios,
ul.radios li,
ul.checkbox,
ul.checkbox li
{
	list-style: none;
	margin:     0;
	padding:    0;
	outline:    0;
}

ul.radios.vert li,
ul.checkbox.vert li
{
	margin-bottom: 2px;
}

ul.radios.vert li:last-child,
ul.checkbox.vert li:last-child
{
	margin-bottom: 0;
}

ul.radios.hrz li,
ul.checkbox.hrz li
{
	display:       inline-block;
	margin-right:  10px;
	margin-bottom: 2px;
}

ul.radios.hrz li:last-child,
ul.checkbox.hrz li:last-child
{
	margin-right: 0;
}

/*================================================================================================*/

select
{
	font-style:     normal;
	font-weight:    400;
	font-size:      inherit;
	font-family:    inherit;
	color:          inherit;
	line-height:    1.2em;
	vertical-align: middle;
	display:        inline-block;
	outline:        0;
	margin:         2px 0;
	max-width:      100% !important;
	height:         27px;
	padding:        0.2em 0.4em;
	cursor:         pointer;
	text-transform: none;
	background:     #ffffff none no-repeat;
	border-radius:  4px;
	border:         1px solid #abadb3;
}

select:focus
{
	border-color: #5699e6;
}

select:disabled
{
	color: #abadb3;
}

@media screen and (min-width:0) 
{
	/* for relatively modern browsers including IE 8+ */
	
	select 
	{
    	border-radius:        4px;
    	background-position: -50px -50px;
		background-image:     url("data:image/gif;base64,iVBORw0KGgoAAAANSUhEUgAAABwAAAAaCAYAAACkVDyJAAAAlElEQVRIx+2VwQ3AIAhFwTiFi7KC7uYGHo1z0Et7MWkjaEiaQOJBDzy/wgdqrXwHWKyAiGAZDnSgHBhC												  +IfCUgqbKXxgGqhY4QyRQkUK35KLoK01iZd+xZKXRuEfbvdQPPGkAABEhMeLhohE5yfaAufk93791r13zQDmnLNqcOMYg1NKmoJgTRHtmDeaWZvPQweaAi8PXSmZJU3QRAAAAABJRU5ErkJggg==");
	}
}

@media screen and (-webkit-min-device-pixel-ratio:0) 
{
	/* for Webkit */
	
	select 
	{
		-webkit-appearance:   none;
		 background-position: right center;
		 padding:             3px 32px 3px 5px;
	}
}

@-moz-document url-prefix() 
{
	/* for Firefox */
	
  	select 
  	{		
		background-image: none;		
	}
  
	/* hides the dotted outline on focus in FF (See SO#3773430) */
	
	select:-moz-focusring 
	{
    	color:       transparent;
		text-shadow: 0 0 0 #000;
	}
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) 
{
	/* for IE10+ */
	
  	select::-ms-expand 
  	{
    	display: none;
	}
  
	select 
	{
    	background-position: right center;
		padding-right:       30px;
	}
}

/*================================================================================================*/
